%global file_name com.github.spheras.desktopfolder

Name:           desktopfolder
Version:        1.1.1
Release:        2%{?dist}
Summary:        Bring your desktop back to life

License:        GPLv3+
URL:            https://github.com/spheras/desktopfolder
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/spheras/desktopfolder/issues/269#issuecomment-492969634
Patch1:         %{name}-fix-compilation-issues-with-vala-0.44.diff

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libwnck-3.0)

Requires:       hicolor-icon-theme

%description
Organize your desktop with panels that hold your things.

• Access files, folders and apps from your desktop
• Drop files, folders, links and .desktop launchers inside panels
• Resize, position and color panels
• Display photos and keep notes on your desktop
• Reveal the desktop with ⌘-D

Open it like any other app after installing. Desktop Folder will launch
automatically when you next log in.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{file_name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{file_name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{file_name}.desktop

%files -f %{file_name}.lang
%doc README.md AUTHORS.md
%license LICENSE
%{_bindir}/%{file_name}
%{_datadir}/applications/%{file_name}.desktop
%{_datadir}/glib-2.0/schemas/%{file_name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_metainfodir}/%{file_name}.appdata.xml
%{_sysconfdir}/xdg/autostart/%{file_name}-autostart.desktop

%changelog
* Wed May 15 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.1-2
- Initial package
